### Method

# FwupdPlugin Device get_custom_flags

since: 1.1.0

#### Declaration [src]

    const gchar*
    fu_device_get_custom_flags (
      FuDevice* self
    )

#### Description [src]

Gets the custom flags for the device from the quirk system.

Available since: 1.1.0

#### Return value

Type: `const gchar*`

A string value, or `NULL` if never set.

The data is owned by the instance.
The value is a NUL terminated UTF-8 string.